import Vue from 'vue'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import App from './App.vue'
import router from './router'
import axios from 'axios';
import Vuex from 'vuex';
import { get_bpmn_manage_url } from './utils/BpmnManageUrl.js'

Vue.use(Vuex)
Vue.use(ElementUI)
Vue.config.productionTip = false
Vue.prototype.$axios = axios;
Vue.prototype.$get_bpmn_manage_url = get_bpmn_manage_url
//Vue.prototype.$ = $;

//vuex配置
Vue.prototype.store = new Vuex.Store({
  state: {
    dialogVisible: {
      //url: "http://192.168.1.170:8000",
      //url:"http://222.244.147.65:8089",
      url: "http://localhost:8080",
      show: false,
      dialogIfromeSrc: "",
      procDefId: "",
      appId: "",
      formId: "",
      formCode: "",
      modelId: "",
      procDefKey: ""
    }
  }
});
new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
